LibreOffice: cppu::AggImplInheritanceHelper10< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 > Class Template Reference

LibreOffice LibreOffice 24.8 SDK C/C++ API Reference

Loading...
Searching...
No Matches
cppu::AggImplInheritanceHelper10< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 > Class Template Reference

Implementation helper implementing interfaces css::lang::XTypeProvider and css::uno::XInterface inheriting from a BaseClass. More...

`#include <implbase10.hxx>`

Inheritance diagram for cppu::AggImplInheritanceHelper10< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >:

## Public Member Functions
| AggImplInheritanceHelper10 ()
virtual css::uno::Any | queryInterface (css::uno::Type const &rType) SAL_OVERRIDE
virtual css::uno::Any | queryAggregation (css::uno::Type const &rType) SAL_OVERRIDE
virtual void | acquire () SAL_NOEXCEPT SAL_OVERRIDE
virtual void | release () SAL_NOEXCEPT SAL_OVERRIDE
virtual css::uno::Sequence< css::uno::Type > | getTypes () SAL_OVERRIDE
virtual css::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE

## Protected Member Functions
template<typename T1>
| AggImplInheritanceHelper10 (T1 const &arg1)
template<typename T1, typename T2>
| AggImplInheritanceHelper10 (T1 const &arg1, T2 const &arg2)
template<typename T1, typename T2, typename T3>
| AggImplInheritanceHelper10 (T1 const &arg1, T2 const &arg2, T3 const &arg3)
template<typename T1, typename T2, typename T3, typename T4>
| AggImplInheritanceHelper10 (T1 const &arg1, T2 const &arg2, T3 const &arg3, T4 const &arg4)
template<typename T1, typename T2, typename T3, typename T4, typename T5>
| AggImplInheritanceHelper10 (T1 const &arg1, T2 const &arg2, T3 const &arg3, T4 const &arg4, T5 const &arg5)
template<typename T1, typename T2, typename T3, typename T4, typename T5, typename T6>
| AggImplInheritanceHelper10 (T1 const &arg1, T2 const &arg2, T3 const &arg3, T4 const &arg4, T5 const &arg5, T6 const &arg6)

## Detailed Description

template<class BaseClass, class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8, class Ifc9, class Ifc10>
class cppu::AggImplInheritanceHelper10< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >

Implementation helper implementing interfaces css::lang::XTypeProvider and css::uno::XInterface inheriting from a BaseClass.

All acquire(), release() and queryInterface() calls are delegated to the BaseClass. Upon queryAggregation(), if a demanded interface is not supported by this class directly, the request is delegated to the BaseClass.

Attention
  The BaseClass has to be complete in a sense, that css::uno::XInterface, css::uno::XAggregation and css::lang::XTypeProvider are implemented properly. The BaseClass must have at least one ctor that can be called with six or fewer arguments, of which none is of non-const reference type.

Derive:
  Inherit from this class giving your additional interface(s) to be implemented as template argument(s). Your sub class defines method implementations for these interface(s).

## Constructor & Destructor Documentation

## ◆ AggImplInheritanceHelper10() [1/7]

template<class BaseClass, class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8, class Ifc9, class Ifc10>
template<typename T1>

cppu::AggImplInheritanceHelper10< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >::AggImplInheritanceHelper10 | ( | T1 const & | arg1 | ) |
| inlineexplicitprotected

## ◆ AggImplInheritanceHelper10() [2/7]

template<class BaseClass, class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8, class Ifc9, class Ifc10>
template<typename T1, typename T2>

cppu::AggImplInheritanceHelper10< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >::AggImplInheritanceHelper10 | ( | T1 const & | arg1,
|  | T2 const & | arg2 )
| inlineprotected

## ◆ AggImplInheritanceHelper10() [3/7]

template<class BaseClass, class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8, class Ifc9, class Ifc10>
template<typename T1, typename T2, typename T3>

cppu::AggImplInheritanceHelper10< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >::AggImplInheritanceHelper10 | ( | T1 const & | arg1,
|  | T2 const & | arg2,
|  | T3 const & | arg3 )
| inlineprotected

## ◆ AggImplInheritanceHelper10() [4/7]

template<class BaseClass, class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8, class Ifc9, class Ifc10>
template<typename T1, typename T2, typename T3, typename T4>

cppu::AggImplInheritanceHelper10< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >::AggImplInheritanceHelper10 | ( | T1 const & | arg1,
|  | T2 const & | arg2,
|  | T3 const & | arg3,
|  | T4 const & | arg4 )
| inlineprotected

## ◆ AggImplInheritanceHelper10() [5/7]

template<class BaseClass, class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8, class Ifc9, class Ifc10>
template<typename T1, typename T2, typename T3, typename T4, typename T5>

cppu::AggImplInheritanceHelper10< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >::AggImplInheritanceHelper10 | ( | T1 const & | arg1,
|  | T2 const & | arg2,
|  | T3 const & | arg3,
|  | T4 const & | arg4,
|  | T5 const & | arg5 )
| inlineprotected

## ◆ AggImplInheritanceHelper10() [6/7]

template<class BaseClass, class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8, class Ifc9, class Ifc10>
template<typename T1, typename T2, typename T3, typename T4, typename T5, typename T6>

cppu::AggImplInheritanceHelper10< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >::AggImplInheritanceHelper10 | ( | T1 const & | arg1,
|  | T2 const & | arg2,
|  | T3 const & | arg3,
|  | T4 const & | arg4,
|  | T5 const & | arg5,
|  | T6 const & | arg6 )
| inlineprotected

## ◆ AggImplInheritanceHelper10() [7/7]

template<class BaseClass, class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8, class Ifc9, class Ifc10>

cppu::AggImplInheritanceHelper10< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >::AggImplInheritanceHelper10 | ( |  | ) |
| inline

## Member Function Documentation

## ◆ acquire()

template<class BaseClass, class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8, class Ifc9, class Ifc10>

virtual void cppu::AggImplInheritanceHelper10< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >::acquire | ( |  | ) |
| inlinevirtual

## ◆ getImplementationId()

template<class BaseClass, class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8, class Ifc9, class Ifc10>

virtual css::uno::Sequence< sal_Int8 > cppu::AggImplInheritanceHelper10< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >::getImplementationId | ( |  | ) |
| inlinevirtual

## ◆ getTypes()

template<class BaseClass, class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8, class Ifc9, class Ifc10>

virtual css::uno::Sequence< css::uno::Type > cppu::AggImplInheritanceHelper10< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >::getTypes | ( |  | ) |
| inlinevirtual

## ◆ queryAggregation()

template<class BaseClass, class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8, class Ifc9, class Ifc10>

virtual css::uno::Any cppu::AggImplInheritanceHelper10< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >::queryAggregation | ( | css::uno::Type const & | rType | ) |
| inlinevirtual

## ◆ queryInterface()

template<class BaseClass, class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8, class Ifc9, class Ifc10>

virtual css::uno::Any cppu::AggImplInheritanceHelper10< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >::queryInterface | ( | css::uno::Type const & | rType | ) |
| inlinevirtual

## ◆ release()

template<class BaseClass, class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8, class Ifc9, class Ifc10>

virtual void cppu::AggImplInheritanceHelper10< BaseClass, Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >::release | ( |  | ) |
| inlinevirtual

The documentation for this class was generated from the following file:

- cppuhelper/implbase10.hxx